<?php

Yii::import('application.models._base.BaseValueString');

class ValueString extends BaseValueString
{
	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	
	public function relations() {

		return array(

		  //BELONGS_TO: FK is in THIS class
		  'belongs_to_feature' => array(self::BELONGS_TO, 'Feature','id_feature'),
			'belongs_to_entity' => array(self::BELONGS_TO, 'Entity','id_entity'),
			'belongs_to_lang' => array(self::BELONGS_TO, 'Lang', 'id_lang')
			
		);

	}

	public function rules()
	{
		return array(
			array('value', 'length', 'min'=>3),
			array('value', 'required')
		);
	}

/*
	public function stringParam($attribute,$params)
  {
        $this->_identity=new UserIdentity($this->username,$this->password);
        if(!$this->_identity->authenticate())
            $this->addError('password','Incorrect username or password.');
  }
*/
}
