<?php
/** 
 * view picker/index
 * 
 * @Params:
 * pickerModelClass     table we want to select rows from
 * pickerModel          search attributes
 * dataProviderOptions  
 * bShowButtons          show form buttons?
 * $parentModelClass     we are browsing the relation of this class  (default: $_GET["modelClass"])
 * $parentPk             we are browsing the relation of this record (default: $_GET["pk"])
 * $selectableRows       0,1 or 2
 * [$fkFieldName]
 * 
 * Rendered from:
 *   PickerController::actionIndex()
 * 
 */
//echo '[' . $modelRelationName . ']';

if (@$pickerModelClass) {
	
	$multiplerel = @$modelRelationClass == 'CManyManyRelation' || @$modelRelationClass == 'CHasManyRelation';
	
	$id_view = $this->getViewId();
	$id_grid = $id_view . '_grid';
?>

<div class="form">

<?php
	$form = XcruderHtml::xpBeginForm(
		$this,
		'addRelated',
		$id_view . '_form',
		'picker-form',
		$update_grid_id
	);

	echo XcruderHtml::hiddenField("selected_ids", $id_view . '_grid_c0');

?>

<fieldset>
	<legend><?php 
		if ($multiplerel) {
			echo Yii::t('XcruderModule.t', 'header-select-relateds', array('{CLASS}'=>$pickerModelClass)); 
		} else {
			echo Yii::t('XcruderModule.t', 'header-select-related', array('{CLASS}'=>$pickerModelClass)); 
		}
	
		
	?></legend>
	
	<div class="row">

<?php
	$this->widget('zii.widgets.grid.CGridView', array(
		'id' => $id_grid,
		'htmlOptions' => array(
		),
		'filter' => $pickerModel,
		'dataProvider' => XcruderActiveRecord::getSearchDataProvider($pickerModel, $dataProviderOptions),
		'columns' => XcruderHtml::getGridColumns($pickerModel, 'rowpicker'),
		'selectableRows' => $selectableRows,
		'afterAjaxUpdate' => "function(id,data){xcruder.setupPickerGrid(id,'" . @$fkFieldName . "')}"
	));

?>
	</div>

<?php if (@$bShowButtons) { ?>
	<div class="row">
		<%= XcruderHtml::xpSubmitButton($form) %>
		<%= XcruderHtml::xpResetButton($form) %>
		<%= XcruderHtml::xpCancelButton($form) %>
	</div>
<?php } ?>

</fieldset>
</div>

<script type="text/javascript">
	xcruder.setupPickerGrid("<%= $id_grid %>","<%= @$fkFieldName %>");
</script>

<?php

XcruderHtml::xpEndForm($this);

} else {

?>

no pickerModelClass given

<?php
}
?>
